## rtpac3depay rtpac3depay — Extracts AC3 audio from RTP packets (RFC 4184) |

## Types and Values

struct | GstRtpAC3Depay

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstRTPBaseDepayload
                        ╰── GstRtpAC3Depay

## Description

Extract AC3 audio from RTP packets according to RFC 4184. For detailed information see: http://www.rfc-editor.org/rfc/rfc4184.txt

### Example pipeline

    1
    gst-launch-1.0 udpsrc caps='application/x-rtp, media=(string)audio, clock-rate=(int)44100, encoding-name=(string)AC3, payload=(int)96' ! rtpac3depay ! a52dec ! pulsesink

This example pipeline will depayload and decode an RTP AC3 stream. Refer to the rtpac3pay example to create the RTP stream.

## Synopsis

### Element Information

plugin | rtp
author | Wim Taymans <wim.taymans@gmail.com>
class | Codec/Depayloader/Network/RTP

### Element Pads

name | sink
direction | sink
presence | always
details | application/x-rtp, media=(string)audio, clock-rate=(int){ 32000, 44100, 48000 }, encoding-name=(string)AC3

name | src
direction | source
presence | always
details | audio/ac3

## Functions

## Types and Values

### struct GstRtpAC3Depay

    struct GstRtpAC3Depay;

## See Also

rtpac3pay